httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nikhil Jain <jainni...@gmail.com>
Subject Apache 2.2 and 2.4 APR issue
Date Wed, 15 Feb 2017 07:44:13 GMT
Hi,

This is my first message to the list, very happy to do so.

I am facing the following error while starting the Apache Deamon(2.2 and
2.4):
------------------------------------------------------------
-------------------------------------------------------------
/usr/local/apps/apache/bin/httpd: symbol lookup error:
/usr/local/apps/apache/lib/libapr-1.so.0: undefined symbol: dlopen
------------------------------------------------------------
-------------------------------------------------------------

I am compiling Apache 2.2 and 2.4 from source using the following configure
command:

*For Apache 2.2:*
LDFLAGS="-R$PPS_PATH/lib" CPPFLAGS="-I$PPS_PATH/include" ./configure
--prefix=$PATH_APACHE \
--sysconfdir=$PATH_APACHE/etc \
--with-included-apr \
--with-included-apr-util \
--datadir=$PATH_APACHE/www \
--enable-mods-shared="all ssl cache proxy authn_alias mem_cache file_cache
charset_lite dav_lock disk_cache" \
--with-z=$PPS_PATH \
--with-ssl=$PPS_PATH \
--enable-ssl  && make && make install


*For Apache 2.4:*
LDFLAGS="-R$PPS_PATH/lib" CPPFLAGS="-I$PPS_PATH/include" ./configure
--prefix=$PATH_APACHE2 \
--sysconfdir=$PATH_APACHE2/etc \
--with-included-apr \
--with-included-apr-util \
--datadir=$PATH_APACHE2/www \
--enable-mods-shared="all ssl cache proxy authn_alias mem_cache file_cache
charset_lite dav_lock disk_cache" \
--with-mpm=prefork \
--with-pcre=$PPS_PATH \
--with-z=$PPS_PATH \
--with-ssl=$PPS_PATH \
--enable-ssl  && make && make install

When compiling Apache 2.4
--with-included-apr \
--with-included-apr-util \
with APR and APR-UTIL, I downloaded the* httpd-2.4.25-deps* package from
the other files <http://www-eu.apache.org/dist//httpd/> link on the
downloads page  (which for some reason cannot be found now).

I am able to fix this issue with following steps, which I don't think is
the right way to go:

1. delete the APR and APR-UTIL libs created via compilation in the package
at /usr/local/apps/apache/lib
2. install APR and APR-UTIL via executing the following command:
    apt-get -y install libaprutil1 libaprutil1-dev libapr1 libapr1-dev

Can anyone offer a suggestion or fix regarding this issue, any help would
be appreciated.

-- 

*NIKHIL JAIN*

*Room No 19, 5th Floor,*

*Alaknanda Co-op Hsg Soc,*

*Dr Deshmukh Lane,*

*V.P. Road, Mumbai - 400004*


*Mobile No: +91 9820794084           +91 8879226841*

Mime
View raw message